//
//  GameScene.swift
//  sleazyburger
//
//  Created by Aslak Gronflaten on 1/23/15.
//  Copyright (c) 2015 Javelin. All rights reserved.
//

import SpriteKit

class GameScene: SKScene {
    
    var game : Game!
    
    override func didMoveToView(view: SKView) {
        game = Game(scene: self, view: view, scaleIt: true)
    }
    
    override func mouseDown(theEvent: NSEvent) {
        /* Called when a mouse click occurs */
        
        let location = theEvent.locationInNode(game.world)
        game.clickAt(location)
    }

    
    override func update(currentTime: CFTimeInterval) {
        /* Called before each frame is rendered */
    }
}
